If you install the current version of Open Office it will install Java. Not really surprising since Sun Microsystems sponsors O-O.

The problem is that it will install an insecure version of JRE over your current one

You will need to update your Java Runtime Environment immediately after your O-O 3.1 install. You should be at version 6 update 15 which you can download from here:


Even if you don't use O-O you might check what version of Java you have and apply the update if required.